using Library;

namespace Virtuals;

// Aby zobaczyć lub ukryć ostrzeżenie zmień odpowiednio na #if true lub #if false
#if false
public class CustomerDerived : LibraryBase
{
    public void Start()
    {
        Console.WriteLine("Metoda Start typu pochodnego");
    }
}
#else
#pragma warning disable CA1822
public class CustomerDerived : LibraryBase
{
    public new void Start()
    {
        Console.WriteLine("Metoda Start typu pochodnego");
    }
}
#endif
